commit:     9fe53fad1c74aa0b531e1fb9d9cb34be420500ad
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 24 20:28:17 2021 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Wed Feb 24 20:47:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9fe53fad

games-util/slade: Bump to 3.2.0_beta2 that fixes build with newer GCC

Also enforce the Lua version without a patch.

Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-util/slade/Manifest                          |  1 +
 .../files/slade-3.2.0_beta2-bundled-libs.patch     | 85 ++++++++++++++++++++++
 .../slade-3.2.0_beta2-fluidsynth-driver.patch      | 27 +++++++
 games-util/slade/slade-3.2.0_beta2.ebuild          | 77 ++++++++++++++++++++
 4 files changed, 190 insertions(+)

diff --git a/games-util/slade/Manifest b/games-util/slade/Manifest
index be9e5aaa542..ae854cd594a 100644
--- a/games-util/slade/Manifest
+++ b/games-util/slade/Manifest
@@ -1 +1,2 @@
 DIST slade-3.1.12a.tar.gz 5883702 BLAKE2B 
400cf032bf0b60555b45b450c524d85f145d593d74601461f33fa571360a0c66a1d5933a7d48e8cfad98981bcf446df213240f53da237be6d9a1ce09517c4566
 SHA512 
ecedec880b8ebed921e152d016a451164efd4de90ae69963be077d1ef39326670254ca8eb03e1045ca7ae5b02f7512dbbe712f83c845cbbd4ed787a90899ad13
+DIST slade-3.2.0_beta2.tar.gz 5999580 BLAKE2B 
29cd515e4553fa1d74a43dc982b376b10d95ebbe2da4a25bc39329c15967466142c73ec134ada371b9aa65d8fc8d9f4a1820cece7fe8dca59fec039aaad32331
 SHA512 
e46d9664348233c7ee7fa8ed748d7e23914bb1bb6dd65d40aff7603b386e032e988e0990d4a435f597ba8a6416c7ec377c8334a66efacd55ebdd994d3fd11073

diff --git a/games-util/slade/files/slade-3.2.0_beta2-bundled-libs.patch 
b/games-util/slade/files/slade-3.2.0_beta2-bundled-libs.patch
new file mode 100644
index 00000000000..4474ab783d4
--- /dev/null
+++ b/games-util/slade/files/slade-3.2.0_beta2-bundled-libs.patch
@@ -0,0 +1,85 @@
+From a22553a612ade8a5e3f90c84166e9fdda16635c9 Mon Sep 17 00:00:00 2001
+From: James Le Cuirot <[email protected]>
+Date: Sat, 20 Feb 2021 12:22:24 +0000
+Subject: [PATCH] Unbundle the DUMB library
+
+---
+ src/Application/App.cpp   | 2 +-
+ src/Audio/ModMusic.cpp    | 2 +-
+ src/CMakeLists.txt        | 4 +++-
+ thirdparty/CMakeLists.txt | 2 --
+ 4 files changed, 5 insertions(+), 5 deletions(-)
+
+diff --git a/src/Application/App.cpp b/src/Application/App.cpp
+index 3d4dcc1d..d2c3e583 100644
+--- a/src/Application/App.cpp
++++ b/src/Application/App.cpp
+@@ -60,7 +60,7 @@
+ #include "UI/WxUtils.h"
+ #include "Utility/StringUtils.h"
+ #include "Utility/Tokenizer.h"
+-#include "thirdparty/dumb/dumb.h"
++#include <dumb.h>
+ #include <filesystem>
+ 
+ using namespace slade;
+diff --git a/src/Audio/ModMusic.cpp b/src/Audio/ModMusic.cpp
+index cb8eef8c..2d368fdb 100644
+--- a/src/Audio/ModMusic.cpp
++++ b/src/Audio/ModMusic.cpp
+@@ -32,7 +32,7 @@
+ // 
-----------------------------------------------------------------------------
+ #include "Main.h"
+ #include "ModMusic.h"
+-#include "thirdparty/dumb/dumb.h"
++#include <dumb.h>
+ 
+ using namespace slade;
+ using namespace audio;
+diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
+index 802598f6..222e6040 100644
+--- a/src/CMakeLists.txt
++++ b/src/CMakeLists.txt
+@@ -110,6 +110,7 @@ endif()
+ pkg_check_modules(fmt REQUIRED fmt>=6)
+ include_directories(${fmt_INCLUDE_DIRS})
+ find_package(MPG123 REQUIRED)
++pkg_check_modules(DUMB REQUIRED dumb>=1.0)
+ include_directories(
+       ${FREEIMAGE_INCLUDE_DIR}
+       ${SFML_INCLUDE_DIR}
+@@ -118,9 +119,9 @@ include_directories(
+       ${CURL_INCLUDE_DIR}
+       ${LUA_INCLUDE_DIR}
+       ${MPG123_INCLUDE_DIR}
++      ${DUMB_INCLUDE_DIRS}
+       .
+       ..
+-      ../thirdparty/dumb
+       ./Application
+       )
+ 
+@@ -200,6 +201,7 @@ target_link_libraries(slade
+       ${CURL_LIBRARIES}
+       ${LUA_LIBRARIES}
+       ${MPG123_LIBRARIES}
++      ${DUMB_LIBRARIES}
+       ${fmt_LIBRARIES}
+       -lstdc++fs
+ )
+diff --git a/thirdparty/CMakeLists.txt b/thirdparty/CMakeLists.txt
+index 6b0eb504..a3757c91 100644
+--- a/thirdparty/CMakeLists.txt
++++ b/thirdparty/CMakeLists.txt
+@@ -12,8 +12,6 @@ set(EXTERNAL_SOURCES
+ file(GLOB_RECURSE EXTERNAL_SOURCES
+       *.cpp
+       *.cxx
+-      dumb/*.c
+-      lua/*.c
+       lzma/C/LzmaDec.c
+       fmt/*.cc
+       ${SLADE_HEADERS}
+-- 
+2.30.0
+

diff --git a/games-util/slade/files/slade-3.2.0_beta2-fluidsynth-driver.patch 
b/games-util/slade/files/slade-3.2.0_beta2-fluidsynth-driver.patch
new file mode 100644
index 00000000000..bd828d81b39
--- /dev/null
+++ b/games-util/slade/files/slade-3.2.0_beta2-fluidsynth-driver.patch
@@ -0,0 +1,27 @@
+From dc0057d1200f9bb6b67f1b1a2094b7e402d1d370 Mon Sep 17 00:00:00 2001
+From: James Le Cuirot <[email protected]>
+Date: Sat, 20 Feb 2021 12:28:48 +0000
+Subject: [PATCH] Don't force FluidSynth to use ALSA on Linux
+
+---
+ src/Audio/MIDIPlayer.cpp | 4 ----
+ 1 file changed, 4 deletions(-)
+
+diff --git a/src/Audio/MIDIPlayer.cpp b/src/Audio/MIDIPlayer.cpp
+index bb001339..f33ffe67 100644
+--- a/src/Audio/MIDIPlayer.cpp
++++ b/src/Audio/MIDIPlayer.cpp
+@@ -344,10 +344,6 @@ public:
+               fs_initialised_ = false;
+               file_           = "";
+ 
+-              // Set fluidsynth driver to alsa in linux (no idea why it 
defaults to jack)
+-              if (app::platform() == app::Platform::Linux && 
fs_driver.value.empty())
+-                      fs_driver = "alsa";
+-
+               // Init soundfont path
+               if (fs_soundfont_path.value.empty())
+               {
+-- 
+2.30.0
+

diff --git a/games-util/slade/slade-3.2.0_beta2.ebuild 
b/games-util/slade/slade-3.2.0_beta2.ebuild
new file mode 100644
index 00000000000..c11364215f0
--- /dev/null
+++ b/games-util/slade/slade-3.2.0_beta2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} )
+WX_GTK_VER="3.0-gtk3"
+
+inherit cmake lua-single wxwidgets
+
+MY_PV="${PV/beta/b}"
+DESCRIPTION="Modern editor for Doom-engine based games and source ports"
+HOMEPAGE="https://slade.mancubus.net/";
+SRC_URI="https://github.com/sirjuddington/${PN^^}/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+LICENSE="GPL-2 MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="fluidsynth timidity webkit"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+DEPEND="
+       ${LUA_DEPS}
+       app-arch/bzip2:=
+       dev-libs/libfmt:=
+       >=media-libs/dumb-2:=
+       media-libs/freeimage[jpeg,png,tiff]
+       media-libs/glew:0=
+       media-libs/libsfml:=
+       media-sound/mpg123
+       net-misc/curl
+       sys-libs/zlib
+       x11-libs/wxGTK:${WX_GTK_VER}[opengl,webkit?,X]
+       fluidsynth? ( media-sound/fluidsynth:= )
+"
+
+RDEPEND="
+       ${DEPEND}
+       timidity? ( media-sound/timidity++ )
+"
+
+BDEPEND="
+       app-arch/p7zip
+       virtual/pkgconfig
+"
+
+S="${WORKDIR}/${PN^^}-${MY_PV}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-bundled-libs.patch
+       "${FILESDIR}"/${P}-fluidsynth-driver.patch
+)
+
+src_prepare() {
+       cmake_src_prepare
+
+       # Delete bundled libraries just in case.
+       rm -r thirdparty/dumb/ || die
+
+}
+
+src_configure() {
+       local luav=$(lua_get_version)
+
+       local mycmakeargs=(
+               -DLua_FIND_VERSION_MAJOR=$(ver_cut 1 "${luav}")
+               -DLua_FIND_VERSION_MINOR=$(ver_cut 2 "${luav}")
+               -DLua_FIND_VERSION_COUNT=2
+               -DLua_FIND_VERSION_EXACT=ON
+               -DNO_FLUIDSYNTH=$(usex fluidsynth OFF ON)
+               -DNO_WEBVIEW=$(usex webkit OFF ON)
+               -DUSE_SFML_RENDERWINDOW=ON
+               -DWX_GTK3=ON
+       )
+
+       setup-wxwidgets
+       cmake_src_configure
+}

Reply via email to